# Get-RASAVDWorkspace.md

## NAME

Get-RASAVDWorkspace

## SYNOPSIS

Retrieves information about an Azure Virtual Desktop Workspace.

## SYNTAX

**Get-RASAVDWorkspace** \[\[-[Id](#id-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Get-RASAVDWorkspace** \[\[-[Name](#name-string)] *(string)*] \[\[-[SiteId](#siteid-string)] *(uint)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Retrieves information about the specified Azure Virtual Desktop Workspace or all Azure Virtual Desktop Workspaces within a site.

## PARAMETERS

## Name (string)

The name of the Azure Virtual Desktop Workspace for which to retrieve the information.

This must be the actual Azure Virtual Desktop Workspace name.

```
        Required?                    false

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the Azure Virtual Desktop Workspace information.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a Azure Virtual Desktop Workspace for which to retrieve the information.

```
        Required?                    false

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

[AVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/avdworkspace.md)

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Get-RASAVDWorkspace -SiteId 1

Retrieves information about all the AVD Workspaces found withing the site with ID 1.\
\*\*---------- EXAMPLE 2 ----------

Get-RASAVDWorkspace "My AVDWorkspace" -SiteId 1 | Format-List

Retrieves information about the AVD Workspace specified by name from the site with ID 1.

The Format-List cmdlet formats the display output to include all available properties.\
\*\*---------- EXAMPLE 3 ----------

Get-RASAVDWorkspace -Id 10

Retrieves information about the AVD Workspace specified by ID from the Licensing Server site.

To retrieve the info from a specific site, specify the -SiteId parameter.

## RELATED LINKS

* [New-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasavdworkspace.md)
* [Remove-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasavdworkspace.md)
* [Set-RASAVDWorkspace](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasavdworkspace.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdworkspace.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
